E-MailRelay

Functions
G::Idn Namespace Reference

Internationalised Domain Name encoding. More...

## Functions
bool | valid (std::string_view domain)
| Returns true if the given domain is valid with U-labels and/or A-labels. More...
std::string | encode (std::string_view domain)
| Returns the given domain with A-lables. More...

## Detailed Description

Internationalised Domain Name encoding.

## Function Documentation

## ◆ encode()

std::string G::Idn::encode | ( | std::string_view | domain | ) |

Returns the given domain with A-lables.

Precondition: valid(domain)

Definition at line 89 of file gidn.cpp.

## ◆ valid()

bool G::Idn::valid | ( | std::string_view | domain | ) |

Returns true if the given domain is valid with U-labels and/or A-labels.

Definition at line 74 of file gidn.cpp.